QuattroSpreadsheetInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
QuattroSpreadsheetInternal::State Struct Reference

the state of QuattroSpreadsheet More...

## Public Member Functions
| State (QuattroFormulaManager::CellReferenceFunction const &readCellReference)
| constructor More...
std::shared_ptr< Spreadsheet > | getSheet (int id, libwps_tools_win::Font::Type fontType)
| returns the ith real spreadsheet More...
librevenge::RVNGString | getSheetName (int id)
| returns the ith spreadsheet More...
librevenge::RVNGString | getUniqueSheetName (librevenge::RVNGString const &name)
| returns a unique sheet name build using the current name More...

## Public Attributes
int | m_version
| the file version More...
WPSVec3i | m_maxDimension
| the maximum col, row, sheet More...
int | m_actSheet
| the actual sheet More...
std::vector< Style > | m_stylesList
| the list of styles More...
QuattroFormulaManager | m_formulaManager
| the formula manager More...
std::map< int, std::shared_ptr< Spreadsheet > > | m_spreadsheetMap
| the map of spreadsheet More...
std::map< int, librevenge::RVNGString > | m_idToSheetNameMap
| the map id to sheet's name More...
std::set< librevenge::RVNGString > | m_sheetNameSet
| the set of used sheet name More...
std::map< int, librevenge::RVNGString > | m_idToUserFormatMap
| map id to user format string More...

## Detailed Description

the state of QuattroSpreadsheet

## Constructor & Destructor Documentation

## ◆ State()

QuattroSpreadsheetInternal::State::State | ( | QuattroFormulaManager::CellReferenceFunction const & | readCellReference | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ getSheet()

std::shared_ptr< Spreadsheet > QuattroSpreadsheetInternal::State::getSheet | ( | int | id,
|  | libwps_tools_win::Font::Type | fontType
| ) |  |
| inline

returns the ith real spreadsheet

## ◆ getSheetName()

librevenge::RVNGString QuattroSpreadsheetInternal::State::getSheetName | ( | int | id | ) |
| inline

returns the ith spreadsheet

## ◆ getUniqueSheetName()

librevenge::RVNGString QuattroSpreadsheetInternal::State::getUniqueSheetName | ( | librevenge::RVNGString const & | name | ) |
| inline

returns a unique sheet name build using the current name

Referenced by getSheetName().

## Member Data Documentation

## ◆ m_actSheet

int QuattroSpreadsheetInternal::State::m_actSheet

the actual sheet

## ◆ m_formulaManager

QuattroFormulaManager QuattroSpreadsheetInternal::State::m_formulaManager

the formula manager

## ◆ m_idToSheetNameMap

std::map<int, librevenge::RVNGString> QuattroSpreadsheetInternal::State::m_idToSheetNameMap

the map id to sheet's name

Referenced by getSheetName().

## ◆ m_idToUserFormatMap

std::map<int, librevenge::RVNGString> QuattroSpreadsheetInternal::State::m_idToUserFormatMap

map id to user format string

## ◆ m_maxDimension

WPSVec3i QuattroSpreadsheetInternal::State::m_maxDimension

the maximum col, row, sheet

Referenced by getSheet().

## ◆ m_sheetNameSet

std::set<librevenge::RVNGString> QuattroSpreadsheetInternal::State::m_sheetNameSet

the set of used sheet name

Referenced by getUniqueSheetName().

## ◆ m_spreadsheetMap

std::map<int, std::shared_ptr<Spreadsheet> > QuattroSpreadsheetInternal::State::m_spreadsheetMap

the map of spreadsheet

Referenced by getSheet().

## ◆ m_stylesList

std::vector<Style> QuattroSpreadsheetInternal::State::m_stylesList

the list of styles

## ◆ m_version

int QuattroSpreadsheetInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- QuattroSpreadsheet.cpp